# Symmetrize Texture

![Symmetrize Texture](doc/images/featured.png)

Symmetrize Texture is a Blender add-on that lets you symmetrize your texture image along a specified axis.

If you want to symmetrize your texture image by using the add-on, make sure the base UV map is already symmetrical. The [Symmetrize UV Util](https://superhivemarket.com/products/symmetrize-uv-util) add-on could help you create a symmetrical UV map.
3D Brush

You can use a special brush in the 3D view. When you trace some parts with the brush, the only traced parts are symmetrized. The size of brush can be changed by pressing the "F" key.

This feature runs in the 3D view in Object Mode. (It does not work in Texture Paint mode)

![3D brush](doc/images/symtex_3d_brush.gif)

## 2D Brush

This is a 2D version of the mirror brush as described above.

This feature runs in the UV/Image Editor.

![2D brush](doc/images/symtex_2d_brush.gif)

## Mirrored Copy

It makes mirror-image copy of one side, leaving the original in place. This is useful for drawing model that is symmetrical about x or y axis. Draw one side of the model, then use the feature for the other side.

This feature runs in the UV/Image Editor.
